summaryrefslogtreecommitdiffstats
path: root/ubuntu/lucid_automake/core/kdeutils/debian/klaptopdaemon-kde3.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/lucid_automake/core/kdeutils/debian/klaptopdaemon-kde3.prerm')
-rw-r--r--ubuntu/lucid_automake/core/kdeutils/debian/klaptopdaemon-kde3.prerm30
1 files changed, 30 insertions, 0 deletions
diff --git a/ubuntu/lucid_automake/core/kdeutils/debian/klaptopdaemon-kde3.prerm b/ubuntu/lucid_automake/core/kdeutils/debian/klaptopdaemon-kde3.prerm
new file mode 100644
index 000000000..abfba3ccb
--- /dev/null
+++ b/ubuntu/lucid_automake/core/kdeutils/debian/klaptopdaemon-kde3.prerm
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+
+ remove)
+ /usr/sbin/dpkg-statoverride --quiet --remove /usr/kde3/bin/klaptop_acpi_helper > /dev/null 2>&1 || true
+ if [ -e /usr/kde3/bin/klaptop_acpi_helper ]; then
+ chown root:root /usr/kde3/bin/klaptop_acpi_helper
+ chmod 0755 /usr/kde3/bin/klaptop_acpi_helper
+ fi
+ ;;
+
+ upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0